diff -Nur orig/Lib/distutils/command/build_ext.py aix64/Lib/distutils/command/build_ext.py
--- orig/Lib/distutils/command/build_ext.py	2016-06-25 23:38:35 +0200
+++ aix64/Lib/distutils/command/build_ext.py	2016-09-06 17:09:23 +0200
@@ -260,12 +260,12 @@
         # Finally add the user include and library directories if requested
         if self.user:
             user_include = os.path.join(USER_BASE, "include")
-            user_lib = os.path.join(USER_BASE, "lib")
+            user_lib64 = os.path.join(USER_BASE, "lib64")
             if os.path.isdir(user_include):
                 self.include_dirs.append(user_include)
-            if os.path.isdir(user_lib):
-                self.library_dirs.append(user_lib)
-                self.rpath.append(user_lib)
+            if os.path.isdir(user_lib64):
+                self.library_dirs.append(user_lib64)
+                self.rpath.append(user_lib64)
 
         if isinstance(self.parallel, str):
             try:
diff -Nur orig/Lib/distutils/command/install.py aix64/Lib/distutils/command/install.py
--- orig/Lib/distutils/command/install.py	2016-06-25 23:38:35 +0200
+++ aix64/Lib/distutils/command/install.py	2016-09-06 17:10:10 +0200
@@ -30,14 +30,14 @@
 INSTALL_SCHEMES = {
     'unix_prefix': {
         'purelib': '$base/lib/python$py_version_short/site-packages',
-        'platlib': '$platbase/lib/python$py_version_short/site-packages',
+        'platlib': '$platbase/lib64/python$py_version_short/site-packages',
         'headers': '$base/include/python$py_version_short$abiflags/$dist_name',
         'scripts': '$base/bin',
         'data'   : '$base',
         },
     'unix_home': {
         'purelib': '$base/lib/python',
-        'platlib': '$base/lib/python',
+        'platlib': '$base/lib64/python',
         'headers': '$base/include/python/$dist_name',
         'scripts': '$base/bin',
         'data'   : '$base',
diff -Nur orig/Lib/distutils/sysconfig.py aix64/Lib/distutils/sysconfig.py
--- orig/Lib/distutils/sysconfig.py	2016-06-25 23:38:35 +0200
+++ aix64/Lib/distutils/sysconfig.py	2016-09-06 17:11:27 +0200
@@ -132,8 +132,12 @@
             prefix = plat_specific and EXEC_PREFIX or PREFIX
 
     if os.name == "posix":
+        if plat_specific:
+            lib = "lib64"
+        else:
+            lib = "lib"
         libpython = os.path.join(prefix,
-                                 "lib", "python" + get_python_version())
+                                 lib, "python" + get_python_version())
         if standard_lib:
             return libpython
         else:
diff -Nur orig/Lib/site.py aix64/Lib/site.py
--- orig/Lib/site.py	2016-06-25 23:38:36 +0200
+++ aix64/Lib/site.py	2016-09-06 17:12:20 +0200
@@ -303,11 +303,15 @@
         seen.add(prefix)
 
         if os.sep == '/':
+            sitepackages.append(os.path.join(prefix, "lib64",
+                                        "python" + sys.version[:3],
+                                        "site-packages"))
             sitepackages.append(os.path.join(prefix, "lib",
                                         "python" + sys.version[:3],
                                         "site-packages"))
         else:
             sitepackages.append(prefix)
+            sitepackages.append(os.path.join(prefix, "lib64", "site-packages"))
             sitepackages.append(os.path.join(prefix, "lib", "site-packages"))
         if sys.platform == "darwin":
             # for framework builds *only* we add the standard Apple
diff -Nur orig/Lib/sysconfig.py aix64/Lib/sysconfig.py
--- orig/Lib/sysconfig.py	2016-06-25 23:38:36 +0200
+++ aix64/Lib/sysconfig.py	2016-09-06 17:13:22 +0200
@@ -21,9 +21,9 @@
 _INSTALL_SCHEMES = {
     'posix_prefix': {
         'stdlib': '{installed_base}/lib/python{py_version_short}',
-        'platstdlib': '{platbase}/lib/python{py_version_short}',
+        'platstdlib': '{platbase}/lib64/python{py_version_short}',
         'purelib': '{base}/lib/python{py_version_short}/site-packages',
-        'platlib': '{platbase}/lib/python{py_version_short}/site-packages',
+        'platlib': '{platbase}/lib64/python{py_version_short}/site-packages',
         'include':
             '{installed_base}/include/python{py_version_short}{abiflags}',
         'platinclude':
@@ -33,9 +33,9 @@
         },
     'posix_home': {
         'stdlib': '{installed_base}/lib/python',
-        'platstdlib': '{base}/lib/python',
+        'platstdlib': '{base}/lib64/python',
         'purelib': '{base}/lib/python',
-        'platlib': '{base}/lib/python',
+        'platlib': '{base}/lib64/python',
         'include': '{installed_base}/include/python',
         'platinclude': '{installed_base}/include/python',
         'scripts': '{base}/bin',
@@ -62,9 +62,9 @@
         },
     'posix_user': {
         'stdlib': '{userbase}/lib/python{py_version_short}',
-        'platstdlib': '{userbase}/lib/python{py_version_short}',
+        'platstdlib': '{userbase}/lib64/python{py_version_short}',
         'purelib': '{userbase}/lib/python{py_version_short}/site-packages',
-        'platlib': '{userbase}/lib/python{py_version_short}/site-packages',
+        'platlib': '{userbase}/lib64/python{py_version_short}/site-packages',
         'include': '{userbase}/include/python{py_version_short}',
         'scripts': '{userbase}/bin',
         'data': '{userbase}',
diff -Nur orig/Lib/test/test_site.py aix64/Lib/test/test_site.py
--- orig/Lib/test/test_site.py	2016-06-25 23:38:37 +0200
+++ aix64/Lib/test/test_site.py	2016-09-06 17:13:56 +0200
@@ -248,8 +248,8 @@
             self.assertEqual(dirs[1], wanted)
         elif os.sep == '/':
             # OS X non-framwework builds, Linux, FreeBSD, etc
-            self.assertEqual(len(dirs), 1)
-            wanted = os.path.join('xoxo', 'lib', 'python' + sys.version[:3],
+            self.assertEqual(len(dirs), 2)
+            wanted = os.path.join('xoxo', 'lib64', 'python' + sys.version[:3],
                                   'site-packages')
             self.assertEqual(dirs[0], wanted)
         else:
diff -Nur orig/Makefile.pre.in aix64/Makefile.pre.in
--- orig/Makefile.pre.in	2016-06-25 23:38:37 +0200
+++ aix64/Makefile.pre.in	2016-09-06 17:21:22 +0200
@@ -126,6 +126,6 @@
 MANDIR=		@mandir@
 INCLUDEDIR=	@includedir@
 CONFINCLUDEDIR=	$(exec_prefix)/include
-SCRIPTDIR=	$(prefix)/lib
+SCRIPTDIR=	$(prefix)/lib64
 ABIFLAGS=	@ABIFLAGS@
 
 # Detailed destination directories
diff -Nur orig/Modules/getpath.c aix64/Modules/getpath.c
--- orig/Modules/getpath.c	2016-06-25 23:38:38 +0200
+++ aix64/Modules/getpath.c	2016-09-06 17:27:37 +0200
@@ -494,7 +494,7 @@
     _pythonpath = Py_DecodeLocale(PYTHONPATH, NULL);
     _prefix = Py_DecodeLocale(PREFIX, NULL);
     _exec_prefix = Py_DecodeLocale(EXEC_PREFIX, NULL);
-    lib_python = Py_DecodeLocale("lib/python" VERSION, NULL);
+    lib_python = Py_DecodeLocale("lib64/python" VERSION, NULL);
 
     if (!_pythonpath || !_prefix || !_exec_prefix || !lib_python) {
         Py_FatalError(
@@ -683,7 +683,7 @@
     }
     else
         wcsncpy(zip_path, _prefix, MAXPATHLEN);
-    joinpath(zip_path, L"lib/python00.zip");
+    joinpath(zip_path, L"lib64/python00.zip");
     bufsz = wcslen(zip_path);   /* Replace "00" with version */
     zip_path[bufsz - 6] = VERSION[0];
     zip_path[bufsz - 5] = VERSION[2];
diff -Nur orig/setup.py aix64/setup.py
--- orig/setup.py	2016-06-25 23:38:39 +0200
+++ aix64/setup.py	2016-09-06 17:25:37 +0200
@@ -421,7 +421,7 @@
 
         if multiarch_path_component != '':
             add_dir_to_list(self.compiler.library_dirs,
-                            '/usr/lib/' + multiarch_path_component)
+                            '/opt/freeware/lib64/' + multiarch_path_component)
             add_dir_to_list(self.compiler.include_dirs,
                             '/usr/include/' + multiarch_path_component)
             return
@@ -442,7 +442,7 @@
                 with open(tmpfile) as fp:
                     multiarch_path_component = fp.readline().strip()
                 add_dir_to_list(self.compiler.library_dirs,
-                                '/usr/lib/' + multiarch_path_component)
+                                '/opt/freeware/lib64/' + multiarch_path_component)
                 add_dir_to_list(self.compiler.include_dirs,
                                 '/usr/include/' + multiarch_path_component)
         finally:
